Remove a bot protection exception rule from an environment
curl --request DELETE \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exception_rule_id": "ip:skip:192.0.2.1"
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules"
payload = { "exception_rule_id": "ip:skip:192.0.2.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({exception_rule_id: 'ip:skip:192.0.2.1'})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'exception_rule_id' => 'ip:skip:192.0.2.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules"
payload := strings.NewReader("{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Removing a bot protection exception rule in progress. Use the operation_id to check the status.",
"status": 202,
"operation_id": "environment:remove-bot-protection-exception-rule-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Bot Protection
Remove a bot protection exception rule from an environment
DELETE
/
sites
/
environments
/
{env_id}
/
bot-protection
/
exception-rules
Remove a bot protection exception rule from an environment
curl --request DELETE \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exception_rule_id": "ip:skip:192.0.2.1"
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules"
payload = { "exception_rule_id": "ip:skip:192.0.2.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({exception_rule_id: 'ip:skip:192.0.2.1'})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'exception_rule_id' => 'ip:skip:192.0.2.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules"
payload := strings.NewReader("{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kinsta.com/v2/sites/environments/{env_id}/bot-protection/exception-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exception_rule_id\": \"ip:skip:192.0.2.1\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Removing a bot protection exception rule in progress. Use the operation_id to check the status.",
"status": 202,
"operation_id": "environment:remove-bot-protection-exception-rule-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
The id of the exception rule, as returned when listing the exception rules.
Minimum string length:
1Example:
"ip:skip:192.0.2.1"
Response
Removing the bot protection exception rule started. Use the operation_id to check the status.